SET (CMAKE_SYSTEM_NAME QNX)
SET (CMAKE_SYSTEM_VERSION 7.0.0)
SET (CMAKE_SYSTEM_PROCESSOR aarch64) # or SET (CMAKE_SYSTEM_PROCESSOR x86)
SET (TOOLCHAIN QNX)

IF (CMAKE_HOST_WIN32)
	SET (HOST_EXECUTABLE_SUFFIX ".exe")
ENDIF (CMAKE_HOST_WIN32)

FIND_PATH(QNX_HOST
	NAME usr/bin/qcc${HOST_EXECUTABLE_SUFFIX}
	PATHS $ENV{QNX_HOST} <path_to_your_qnx_host>
	NO_CMAKE_PATH
	NO_CMAKE_ENVIRONMENT_PATH
)

FIND_PATH(QNX_TARGET
	NAME usr/include/qnx_errno.h
	PATHS $ENV{QNX_TARGET} <path_to_your_qnx_target>
	NO_CMAKE_PATH
	NO_CMAKE_ENVIRONMENT_PATH
)


SET (CMAKE_C_COMPILER ${QNX_HOST}/usr/bin/nto${CMAKE_SYSTEM_PROCESSOR}-gcc${HOST_EXECUTABLE_SUFFIX})
SET (CMAKE_CXX_COMPILER ${QNX_HOST}/usr/bin/nto${CMAKE_SYSTEM_PROCESSOR}-c++${HOST_EXECUTABLE_SUFFIX})

